List Risks for a Participant
get
/public/v1/participants/{participant}/risksparticipantstringrequiredThe participant UUID
page[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of ParticipantRiskResource
dataobject[]required▶Show 18 child attributesHide child attributes
idstringrequiredExample:r1i2s3k4-d5e6-47f8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Falls risk during transfersdescriptionstring | nullrequiredExample:Participant has a history of fallslikelihoodintegerrequiredExample:possibleconsequenceintegerrequiredExample:moderateresidual_likelihoodintegerrequiredExample:unlikelyinherent_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
residual_riskobjectrequired▶Show 2 child attributesHide child attributes
scoreintegerrequiredExample:12levelenum<string>requiredAvailable options:catastrophichighlowmoderate
risk_tostringrequiredExample:participantstatusstringrequiredExample:activerisk_management_typestringrequiredExample:treatreview_frequencystringrequiredExample:quarterlyvisible_to_support_workersbooleanrequiredExample:falselast_reviewed_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00next_review_atstringrequiredExample:2024-04-15T10:30:00+00:00archived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00controlsobject[]required▶Show 4 child attributesHide child attributes
idstringrequiredExample:c1o2n3t4-r5o6-47l8-9a0b-1c2d3e4f5a6btitlestringrequiredExample:Use transfer beltdescriptionstring | nullrequiredExample:Always use a transfer belt when assistingcreated_atstringrequiredExample:2024-01-15T10:30:00+00:00
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found